- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
libvisio::NURBSData Struct Reference

`#include <VSDTypes.h>`

## Public Member Functions
| NURBSData ()
| NURBSData (const NURBSData &data)

## Public Attributes
double | lastKnot
unsigned | degree
unsigned char | xType
unsigned char | yType
std::vector< double > | knots
std::vector< double > | weights
std::vector< std::pair< double, double > > | points

## Constructor & Destructor Documentation

libvisio::NURBSData::NURBSData | ( |  | ) |
| inline

libvisio::NURBSData::NURBSData | ( | const NURBSData & | data | ) |
| inline

## Member Data Documentation

unsigned libvisio::NURBSData::degree

Referenced by libvisio::VSDContentCollector::collectNURBSTo(), libvisio::VSDContentCollector::collectShapeData(), libvisio::VSDXMLParserBase::readNURBSData(), and libvisio::VSDParser::readShapeData().

std::vector<double> libvisio::NURBSData::knots

Referenced by libvisio::VSDContentCollector::collectNURBSTo(), libvisio::VSDContentCollector::collectShapeData(), libvisio::VSDXMLParserBase::readNURBSData(), and libvisio::VSDParser::readShapeData().

double libvisio::NURBSData::lastKnot

Referenced by libvisio::VSDContentCollector::collectNURBSTo(), libvisio::VSDContentCollector::collectShapeData(), libvisio::VSDXMLParserBase::readNURBSData(), and libvisio::VSDParser::readShapeData().

std::vector<std::pair<double, double> > libvisio::NURBSData::points

Referenced by libvisio::VSDContentCollector::collectNURBSTo(), libvisio::VSDContentCollector::collectShapeData(), libvisio::VSDXMLParserBase::readNURBSData(), and libvisio::VSDParser::readShapeData().

std::vector<double> libvisio::NURBSData::weights

Referenced by libvisio::VSDContentCollector::collectNURBSTo(), libvisio::VSDContentCollector::collectShapeData(), libvisio::VSDXMLParserBase::readNURBSData(), and libvisio::VSDParser::readShapeData().

unsigned char libvisio::NURBSData::xType

Referenced by libvisio::VSDContentCollector::collectNURBSTo(), libvisio::VSDContentCollector::collectShapeData(), libvisio::VSDXMLParserBase::readNURBSData(), and libvisio::VSDParser::readShapeData().

unsigned char libvisio::NURBSData::yType

Referenced by libvisio::VSDContentCollector::collectNURBSTo(), libvisio::VSDContentCollector::collectShapeData(), libvisio::VSDXMLParserBase::readNURBSData(), and libvisio::VSDParser::readShapeData().

The documentation for this struct was generated from the following file:

- VSDTypes.h